Moderation

Watched Words

Manage list of watched words to detect patterns on objects (like comments of videos)

List account watched words

GET
https://peertube2.cpy.re/api/v1/watched-words/accounts/{accountName}/lists

PeerTube >= 6.2

Parameters

accountNamestringrequiredpath

account name to list watched words

Response

200OKany

successful operation

Response fields application/json
totalinteger
Example
1
Show child attributes
idid>= 1
Example
42
listNamestring
wordsArray<string>
subscriptionUrlstring<url> | null
updatedAtstring<date-time>
Example
2021-05-04T08:01:01.502Z
createdAtstring<date-time>
Example
2021-05-04T08:01:01.502Z

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Add account watched words

POST
https://peertube2.cpy.re/api/v1/watched-words/accounts/{accountName}/lists

PeerTube >= 6.2

Body

application/json
listNamestring
wordsArray<string>

Parameters

accountNamestringrequiredpath

Response

200OKobject

successful operation

Response fields application/json
watchedWordsListobject
Show child attributes
idinteger

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Update account watched words

PUT
https://peertube2.cpy.re/api/v1/watched-words/accounts/{accountName}/lists/{listId}

PeerTube >= 6.2

Body

application/json
listNamestring
wordsArray<string>

Parameters

accountNamestringrequiredpath
listIdstringrequiredpath

list of watched words to update

Response

204No Content

successful operation

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Delete account watched words

DELETE
https://peertube2.cpy.re/api/v1/watched-words/accounts/{accountName}/lists/{listId}

PeerTube >= 6.2

Parameters

accountNamestringrequiredpath
listIdstringrequiredpath

list of watched words to delete

Response

204No Content

successful operation

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

List server watched words

GET
https://peertube2.cpy.re/api/v1/watched-words/server/lists

PeerTube >= 6.2

Response

200OKany

successful operation

Response fields application/json
totalinteger
Example
1
Show child attributes
idid>= 1
Example
42
listNamestring
wordsArray<string>
subscriptionUrlstring<url> | null
updatedAtstring<date-time>
Example
2021-05-04T08:01:01.502Z
createdAtstring<date-time>
Example
2021-05-04T08:01:01.502Z

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: admin, moderator

Add server watched words

POST
https://peertube2.cpy.re/api/v1/watched-words/server/lists

PeerTube >= 6.2

Body

application/json
listNamestring
wordsArray<string>

Response

200OKobject

successful operation

Response fields application/json
watchedWordsListobject
Show child attributes
idinteger

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: admin, moderator

Update server watched words

PUT
https://peertube2.cpy.re/api/v1/watched-words/server/lists/{listId}

PeerTube >= 6.2

Body

application/json
listNamestring
wordsArray<string>

Parameters

listIdstringrequiredpath

list of watched words to update

Response

204No Content

successful operation

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: admin, moderator

Delete server watched words

DELETE
https://peertube2.cpy.re/api/v1/watched-words/server/lists/{listId}

PeerTube >= 6.2

Parameters

listIdstringrequiredpath

list of watched words to delete

Response

204No Content

successful operation

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: admin, moderator

List account watched words subscriptions

GET
https://peertube2.cpy.re/api/v1/watched-words/accounts/{accountName}/subscriptions

Parameters

accountNamestringrequiredpath

account name to list watched words subscriptions

startinteger>= 0query

Offset used to paginate results

countinteger[1, 100]15query

Number of items to return

sortstringquery

Sort column

searchstringquery

Plain text search, applied to various parts of the model depending on endpoint

Response

200OKobject

successful operation

Response fields application/json
totalinteger
Example
1
Show child attributes
idid>= 1
Example
42
namestring
urlstring<url>
importedWordsCountinteger>= 0
lastSyncAtstring<date-time> | null
Example
2021-05-04T08:01:01.502Z
stateobject
Show child attributes
idinteger1234
labelstring
updatedAtstring<date-time>
Example
2021-05-04T08:01:01.502Z
createdAtstring<date-time>
Example
2021-05-04T08:01:01.502Z

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Add account watched words subscription

POST
https://peertube2.cpy.re/api/v1/watched-words/accounts/{accountName}/subscriptions

Body

application/json
urlstring<url>required

Parameters

accountNamestringrequiredpath

Response

successful operation

Response fields application/json
idid>= 1
Example
42
namestring
urlstring<url>
importedWordsCountinteger>= 0
lastSyncAtstring<date-time> | null
Example
2021-05-04T08:01:01.502Z
stateobject
Show child attributes
idinteger1234
labelstring
updatedAtstring<date-time>
Example
2021-05-04T08:01:01.502Z
createdAtstring<date-time>
Example
2021-05-04T08:01:01.502Z
400Bad Request

cannot fetch or parse watched words URL

409Conflict

subscription already exists or watched words list with fetched name already exists

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Delete account watched words subscription

DELETE
https://peertube2.cpy.re/api/v1/watched-words/accounts/{accountName}/subscriptions/{id}

Parameters

accountNamestringrequiredpath
idintegerrequiredpath

Response

204No Content

successful operation

404Not Found

watched words subscription does not exist

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

List server watched words subscriptions

GET
https://peertube2.cpy.re/api/v1/watched-words/server/subscriptions

Parameters

startinteger>= 0query

Offset used to paginate results

countinteger[1, 100]15query

Number of items to return

sortstringquery

Sort column

searchstringquery

Plain text search, applied to various parts of the model depending on endpoint

Response

200OKobject

successful operation

Response fields application/json
totalinteger
Example
1
Show child attributes
idid>= 1
Example
42
namestring
urlstring<url>
importedWordsCountinteger>= 0
lastSyncAtstring<date-time> | null
Example
2021-05-04T08:01:01.502Z
stateobject
Show child attributes
idinteger1234
labelstring
updatedAtstring<date-time>
Example
2021-05-04T08:01:01.502Z
createdAtstring<date-time>
Example
2021-05-04T08:01:01.502Z

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: admin, moderator

Add server watched words subscription

POST
https://peertube2.cpy.re/api/v1/watched-words/server/subscriptions

Body

application/json
urlstring<url>required

Response

successful operation

Response fields application/json
idid>= 1
Example
42
namestring
urlstring<url>
importedWordsCountinteger>= 0
lastSyncAtstring<date-time> | null
Example
2021-05-04T08:01:01.502Z
stateobject
Show child attributes
idinteger1234
labelstring
updatedAtstring<date-time>
Example
2021-05-04T08:01:01.502Z
createdAtstring<date-time>
Example
2021-05-04T08:01:01.502Z
400Bad Request

cannot fetch or parse watched words URL

409Conflict

subscription already exists or watched words list with fetched name already exists

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: admin, moderator

Delete server watched words subscription

DELETE
https://peertube2.cpy.re/api/v1/watched-words/server/subscriptions/{id}

Parameters

idintegerrequiredpath

Response

204No Content

successful operation

404Not Found

watched words subscription does not exist

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: admin, moderator